Perform various operations on batch Automated Clearing House (ACH) origination records.
Operations
getBatchAchOrig
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalBatchAchOrigLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getBatchAchOrigPOST /nexum/627/2022.01/account/getBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getBatchAchOrigSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalBatchAchOrigLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getBatchAchOrigSelectFieldsPOST /nexum/627/2022.01/account/getBatchAchOrigSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigLocator": 0,
"SelectableFields": {
"IncludeAllBatchAchOrigFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getBatchAchOrigPagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getBatchAchOrigPagedListPOST /nexum/627/2022.01/account/getBatchAchOrigPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getBatchAchOrigListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getBatchAchOrigListSelectFieldsPOST /nexum/627/2022.01/account/getBatchAchOrigListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"SelectableFields": {
"IncludeAllBatchAchOrigFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchBatchAchOrigSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchBatchAchOrigSelectFieldsPOST /nexum/627/2022.01/account/searchBatchAchOrigSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"SelectableFields": {
"IncludeAllBatchAchOrigFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getBatchAchOrigPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getBatchAchOrigPagedListSelectFieldsPOST /nexum/627/2022.01/account/getBatchAchOrigPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllBatchAchOrigFields": false,
"BatchAchOrigFields": {
"Locator": true,
"CompanyName": true,
"CompanyId": true,
"StandardEntryClassCode": true,
"Status": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchBatchAchOrigPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchBatchAchOrigPagedSelectFieldsPOST /nexum/627/2022.01/account/searchBatchAchOrigPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllBatchAchOrigFields": false,
"BatchAchOrigFields": {
"Locator": true,
"CompanyName": true,
"CompanyId": true,
"StandardEntryClassCode": true,
"Status": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateBatchAchOrigByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
BatchAchOrigLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/updateBatchAchOrigByIDPOST /nexum/627/2022.01/account/updateBatchAchOrigByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigLocator": 0,
"BatchAchOrigUpdatableFields": {
"CompanyName": "string",
"CompanyEntryDescription": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createBatchAchOrig
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
BatchAchOrigLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createBatchAchOrigPOST /nexum/627/2022.01/account/createBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigCreatableFields": {
"Status": 0,
"CompanyName": "string",
"CompanyId": "0",
"CompanyEntryDescription": "string",
"StandardEntryClassCode": "string",
"EffectiveEntryDate": "2026-01-01"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteBatchAchOrig
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalBatchAchOrigLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/account/deleteBatchAchOrigPOST /nexum/627/2022.01/account/deleteBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}